Bug 912599

Summary: Black screen on boot of Fedora 18 with HP Pavilion G7-1310-US
Product: [Fedora] Fedora Reporter: Jose Sierra <jose>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Bill Nottingham <notting>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: ajax, am2605, bugzilla, dennis, hugh, jdiggs, peterdrache, rvokal, xgl-maint, yash17186, zach
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 19:17:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jose Sierra 2013-02-19 07:04:25 UTC
Description of problem:
When booting Fedora 18 on my HP Pavilion G7-1310US, it gets past GRUB and then the screen goes black.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Push power button
2. Hit 'enter' key once it reaches GRUB
3. Black screen ensues.
  
Actual results:
Black screen.

Expected results:
Fedora 18 login screen.

Additional info:
Had a similar issue with Ubuntu, but I would hit my 'brightness' key on the laptop keyboard and the screen would gradually come up (as if the brightness were set all the way down to black).  This doesn't seem to work with Fedora, however.  I can get Fedora to boot if I change GRUB to nomodeset... but graphics performance is very poor.

Comment 1 D. Hugh Redelmeier 2013-02-19 07:14:40 UTC
From IRC channel, it seems that Anaconda installed with "nomodeset" with no user prompting.

The result was a slow system.  Working, but slow.

The video system is the Intel HD 3000 that is part of the Intel-Core-i3-2350M-Processor.

We onlookers suggested removing nomodeset but the result was the black screen.

Googling for "HP pavilion G7 linux" found some Ubuntu users recommending nomodeset and other's talking about the brightness key.

We suspect Fedora doesn't bind the brightness key explaining why the same work-around doesn't work on Fedora.

Jose said Ubuntu on same hardware was fast but that he needed to hit brightness key somewhere in the boot process.

The video system is the Intel HD 3000 that is part of the Intel-Core-i3-2350M-Processor.

Comment 2 Jose Sierra 2013-02-19 18:36:13 UTC
Additional info after some experimentation: I installed Korora (seems to be based on Fedora 17) in an effort to isolate the issue (and just get something running on my laptop).  The liveCD (running off a USB stick) worked just fine, so I installed it.  After reboot, I experienced the same black screen - but this time slightly different.

Looking very closely at the screen, I could see that the "Create User" screen was very, very faint, but there.  The brightness keys wouldn't work, but it was there.  I rebooted and used GRUB to add 'nomodeset' to get through the 'setup' screens, then rebooted again (this time without nomodeset).  I looked very closely and could barely make out the login screen.  Again, the brightness keys wouldn't work.

I hit enter+password+enter to log in (albeit blind) and the screen changed slightly.  I hit the brightness keys and voila, my desktop appeared.  Performance is ultra-smooth and silky in Gnome Shell 3.4.2 (I guess Korora is a bit behind the Fedora curve.)

Rebooted and had to go through the exact same process.  I'm going to try to do this again, only with Fedora 18, and see what happens.  Maybe there's a way to kick in the 'brightness' settings or the keyboard bindings earlier in the boot process...?

Comment 3 Jose Sierra 2013-02-19 19:51:58 UTC
Attempted the same process with the Fedora 18 liveCD (via USB stick) but to no avail - there is zero responsiveness from the screen, even from liveCD.  Also, there is no faint screen - it's just black.  No joy.

If I boot into the F18 livecd with nomodeset (the third option, I believe, with 'basic graphics' or something like that), I get the screen and graphics performance is very, very choppy.

Comment 4 Jose Sierra 2013-02-19 23:50:07 UTC
Problem solved!

After hours of research I added the following lines to my GRUB config file (/etc/default/grub):

video.brightness_switch_enabled=1 
video.use_bios_initial_backlight=0

So it looks like this:

GRUB_CMDLINE_LINUX= quiet rhgb video.brightness_switch_enabled=1 video.use_bios_initial_backlight=0

I tested it first through GRUB (via the "e" key) and then wrote it to the config file once I saw that it worked.  Works perfectly: boot is now visible, login is visible, and now I have 100% graphics performance in Gnome Shell.  Tested and functional on Fedora 18 (also tested and functional with Korora).

Comment 5 Zach Ploskey 2013-06-27 19:10:39 UTC
Thank you for your workaround, Jose. It solved the same issue for me, however I do not think this problem lies solely with the intel driver. I am using the Xorg radeon driver with this card:

# lspci | grep -i vga
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Mobility Radeon HD 4830 [M97]

The computer is an HP Envy 15-1050nr.

It exhibited the exact same behavior (black screen when trying to boot without nomodeset). I've seen the same behavior on kernels newer than then 3.2 kernels used in Debian and Ubuntu. Adding those two kernel switches solved it for me, at least in Fedora.

The kernel I am using for this was 3.9.6-200.fc18.x86_64 #1 SMP, but the problem was also present in the stock Fedora 18 kernel 3.6.10-4.fc18.x86_64.

Comment 6 Yash 2013-07-20 19:38:47 UTC
Jose Siera,

I am very new to Linux. I am facing the same problem. Can you please tell me how and where do I type the said code after pressing 'e' on the boot loader.

Thanks.

Comment 7 Yash 2013-07-20 19:39:55 UTC
(In reply to Jose Sierra from comment #4)
> Jose Siera,

I am very new to Linux. I am facing the same problem. Can you please tell me how and where do I type the said code after pressing 'e' on the boot loader.

Thanks.

Comment 8 D. Hugh Redelmeier 2013-07-20 20:27:00 UTC
If you type "e" while the grub menu is on the screen, you get to edit what the current menu item does (but just for this one boot -- it doesn't change /boot/grub2/grub.cfg on disk).

If you then cursor down to the line that starts with "linux".  This is the line that specifies the kernel file and parameters to the kernel.

Add to the end of that line, separated by spaces, the two parameters Jose suggested, all on the one line (it will be so long that it will be displayed on two or more):
 video.brightness_switch_enabled=1 
 video.use_bios_initial_backlight=0

That is only temporary.  If it works for you, you will want to edit /etc/default/grub, as Jose suggested.  You will then need to issue a command to have the system build a new grub.cnf.  Probably grub2-mkconfig.

Comment 9 Yash 2013-07-21 17:45:02 UTC
And what is to be done after entering all data. Should I press F10??
Can I have the email ID of yours so that I can mail you the screen shot of the screen
Please help

Comment 10 Chris Schanzle 2013-10-04 02:56:57 UTC
I have an hp envy dv17t quad with i7-4700mq processor hd4000 graphics with the 17.3" anti-glare 1920x1080 display with same issue.  Thanks to Jose in comment #4 - they work great.

Yash-please ask the fedora forums for help on implementing the changes described here.

Comment 11 Chris Schanzle 2013-10-04 15:04:45 UTC
meant to include my testing was with fedora 19 live, booting with nomodeset to see anything.  After installation to the HD and installing the latest updates as of yesterday evening, the issue persists and the workarounds in comment #4 work well.  I can't seem to update Version.

Comment 12 Joanmarie Diggs 2013-11-26 00:00:43 UTC
Put me down as another one grateful to Jose's comment #4. (HP Envy, Intel HD 4600 graphics, F20)

Comment 13 Fedora End Of Life 2013-12-21 11:31:41 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2014-02-05 19:17:59 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.